Bug 123448 - dbchange does not handle triggers and stored procs
Summary: dbchange does not handle triggers and stored procs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karen Jacqmin-Adams
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 117781
TreeView+ depends on / blocked
 
Reported: 2004-05-18 16:53 UTC by Karen Jacqmin-Adams
Modified: 2007-10-24 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 15:47:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Karen Jacqmin-Adams 2004-05-18 16:53:51 UTC
Description of problem:
The dbchange script parses scripts into individual statements by
semicolons.  This does not work for triggers and stored procs which do
contain semicolons within their definition.

Comment 1 Karen Jacqmin-Adams 2004-05-21 23:16:01 UTC
#  How was this issue addressed?
Function _parse_procs was added to DBChange.pm.

# What level of users are affected? (Such as, All, Mgmt. Satellite
only, Mgmt. Satellite and Proxy, Mon. Satellite only, Mon. Satellite
and Scout.)

RHN Dept/DBA who have used the dbchange tools.

# Where specifically can the change be seen?
Not visible in an app.

# If the change cannot be verified visually, how should it be tested?
Use the dbchange tool to insert stored procedures, functions,
triggers, and packages into a test database.

Comment 2 Karen Jacqmin-Adams 2004-05-28 14:40:14 UTC
Peter also added some code to support anonymous procedures.  

Nick has built an rpm which has been released to 
rhn/build/support-rhel3/RPMS.  Moving to ON_DEV status.




Note You need to log in before you can comment on or make changes to this bug.